julia (1.1.0+dfsg-1) experimental; urgency=medium

  [ Mo Zhou ]
  * New upstream version 1.1.0+dfsg
  * shlibdeps.mk: remove unused arpack part.
  * B-D: Require llvm-6.0-dev (>= 1:6.0.1-11).
  * Remove patches merged upstream and refresh patches:
    - appstream.patch
    - test-skip-i386-spec.patch
  * Update the embedded source or source tarballs:
    + libuv, Pkg.jl, Documenter.jl (= 0.22.1), DocumenterLatex.jl (= 0.2.0),
      DocStringExtensions (= 0.7.0), JSON.jl (= 0.20.0).
  * Refresh symbols list for libjulia1.
  * Switch back to use system LLVM:
    + Set USE_SYSTEM_LLVM=1.
    + Add makefile options for system LLVM.
    + Add DESTDIR argument to makefile options.
    + Build-Depends on system LLVM-6.0.
    - Remove the embedded LLVM-6.0.0 tarball and update include-binaries.
    - Remove cmake and python3 from Build-Depends since they are for LLVM.
    - Remove copyright paragraph for the embedded LLVM.
    - Remove the LLVM installation hack from rules.
    - Remove hacky patches for related to the embedded LLVM.
      - install-embedded-llvm-hack.patch
      - install-julia-hack.patch

  [ Salsa Pipeline ]
  * Update salsa CI pipeline

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 04 Apr 2019 04:25:04 +0000

julia (1.0.3+dfsg-4) unstable; urgency=medium

  [ Mo Zhou ]
  * Set JULIA_CPU_TARGET="pwr8" for ppc64el architecture

  [ Graham Inggs]
  * Avoid baseline violation on armhf, thanks Adrian Bunk
    (Closes: #919183)
  * Build with GCC 8 on armhf again

 -- Graham Inggs <ginggs@debian.org>  Tue, 22 Jan 2019 20:19:55 +0000

julia (1.0.3+dfsg-3) unstable; urgency=medium

  * Switch to use embedded LLVM-6.0.0 with upstream patches.
    + Embed llvm-6.0.0.src.tar.xz to debian/embedded.
    + Register new tarball in source/include-binaries.
    + Set USE_SYSTEM_LLVM=0 in rules.
    + Add patch do-not-download-llvm.patch to redirect downloading.
    + Add symlinks in debian/embedded to avoid "download" errors.
    + Add cmake, python3 to B-D for the embedded LLVM.
    + Update copyright for the embedded LLVM.
    + Patch Makefile and update rules to amend installation.
    + Install the embedded LLVM to Julia's private library directory.
    + dh_makeshlibs: Don't track symbols for the private LLVM library.
    - Drop B-D on Debian's LLVM 6.0
    - Remove makefile options for system LLVM.
  * Remove the DESTDIR definition from make flags. This definition
    screws up installtion of embedded LLVM.
  * Add hack for embedded LLVM to let it install shlibs correctly.
  * Refresh patches (quilt push -a --refresh).
  * Skip more DNS tests for Sockets.jl module.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 17 Jan 2019 15:27:52 +0000

julia (1.0.3+dfsg-2) unstable; urgency=medium

  [ Graham Inggs ]
  * Skip DNS tests which fail on Ubuntu autopkgtest infrastructure

  [ Mo Zhou ]
  * Add d/gitlab-ci.yml for enabling Salsa CI pipeline.
  * Delete the unused DEBIAN_FORCE_NONET env var from rules and autopkgtest.
  * Update copyright for embedded .jl packages.
  * Uscan: add dversionmangle option to append +dfsg postfix.
  * Add headers for headless patches.
  * Add patch (disabled by default) to append "@distro" to default LOAD_PATH.
  * Bump Standards-Version to 4.3.0 (no change).
  * Rollback embedded Documenter to 0.20.0, DocStringExtensions to 0.5.0 .
  * Refresh the list of included-binaries.
  * Bump B-D-I pygmentize to Py3 version.
    + Append python3-pkg-resources to B-D-I to workaround #918401
  * Add repacksuffix option to uscan.
  * Add openssl to B-D (more test coverage) and Recommends.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 13 Jan 2019 10:53:28 +0000

julia (1.0.3+dfsg-1) unstable; urgency=medium

  * Users who want to use MKL as Julia's BLAS/LAPACK backend should
    rebuild this package after turning on the CUSTOM_MKL flag in d/rules.
    I temporarily reverted the use of alternatives mechanism because the
    code of stdlib/LinearAlgebra is not ready for such a feature.

  * DFSG: Exclude contrib/windows/7zS.sfx (Closes: #916957)
  * Remove the aforementioned incremental patch since the
    source tarball has been refreshed.
  * Revert "Link libjulia.so.X against libblas.so.3 to take
    advantage from alternatives." (Closes: #916991)

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 21 Dec 2018 14:47:47 +0000

julia (1.0.3-2) unstable; urgency=medium

  * Cherry-pick incremental patch from upstream's force-pushed 1.0.3 tag.

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 18 Dec 2018 06:25:16 +0000

julia (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3
  * Strip shared object libjulia.so.1 , whilst sys.so is still unstripped.
  * Update embedded tarball for Pkg.jl .
  * Refresh and update patches, including patches for embedded source.
    * Refresh doc-silent.patch on new embedded source.
  * Upgrade embedded DocStringExtensions.jl to v0.6.0
  * Upgrade embedded Documenter to v0.21.0
  * Remove embedded Compat.jl, not used by Documenter.jl anymore.

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 17 Dec 2018 10:15:03 +0000

julia (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2
  * Remove test-precision.patch, merged upstream.
  * Import Pkg.jl tarball to d/embedded directory.
    Its sha512sum matches with the one provided by upstream.
    + Register the Pkg.jl tarball in include-binaries.
    + Patch makefile to avoid downloading Pkg.jl tarball.
  * Remove LLVM_DISABLE_ABI_BREAKING_CHECKS_ENFORCING definition from rules.
  * Refresh Patches.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 29 Nov 2018 06:50:23 +0000

julia (1.0.1-2) unstable; urgency=medium

  * Extend JULIA_CPU_TARGET to include optimized targets as well,
    apart from the generic target. (Closes: #910784)

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 13 Oct 2018 06:16:18 +0000

julia (1.0.1-1) unstable; urgency=medium

  * New upstream stable release 1.0.1 (Sept 2018)
  * Remove hundreds of patches picked from WIP Julia 1.0.1 release.
  * Elaborate on why debug info should not be stripped from sys.so in rules.
  * Drop deps:openspecfun which is not used anymore since 0.7 release.
  * Add CUSTOM_NATIVE variable in rules for custom builds.
  * Drop test related patches, because they are not needed anymore:
    - Drop test-add-envvar-for-skipping-network-tests.patch .
    - Drop test-moredetail.patch, test-skip-ppc64el-spec.patch
    - Drop test-remove-powermod.patch, test-aggressive-gc.patch .

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 30 Sep 2018 15:22:20 +0000

julia (1.0.0-3) unstable; urgency=medium

  * Handle floating point precision issue during test. (test-precision.patch)
  * Patch runtests.jl to let it print more detail. (test-moredetail.patch)
  * Make Documenter.jl quiet. (pre-apply, doc-silent.patch)
  * Autopkgtest: Skip network related tests for Ubuntu.
  * Link libjulia.so.X against netlib LAPACK (libblas.so.3/liblapack.so.3)
    in order to take advantage from alternatives system. (Closes: #905826)
  * Shared object libjulia.so.X Depends on high performance BLAS/LAPACK
    implementations when available, i.e. OpenBLAS | Atlas | Intel-MKL.
  * Add 167 patches from work-in-progress Julia 1.0.1 release.
  * Autopkgtest: Execute runtests.jl instead of calling Base.runtests()
  * README.Debian: Julia's BLAS/LAPACK backend is switchable henceforth.
  * Also remove the "net_on" guard in test/runtests.jl.
    (update, test-add-envvar-for-skipping-network-tests.patch)
  * Downgrade GCC version to 7 for armhf in order to circumvent FTBFS.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 23 Sep 2018 03:11:52 +0000

julia (1.0.0-2) unstable; urgency=medium

  * Run test on all architectures instead of only amd64 and i386,
    but allow non-x86 tests to fail. (Closes: #906754)
  * Binary package julia Suggests vim-julia. (Closes: #907050)
  * Enable the build on s390x
    - Disable libunwind on s390x (unsatisfiable dependency).
    * shlibdeps.mk: don't link against libunwind on s390x architecture.
    * Fix logic error in base/Makefile. (+ make-unwind-logic-error.patch)
  * Skip some tests unconditionally or conditionally according to Sys.ARCH
    * Skip "powermod" related tests on non-x86 architecture.
    * Skip several tests specifically on i386. (+ test-skip-i386-spec.patch)
    * Skip several tests on ppc64el. (+ test-skip-ppc64el-spec.patch)
    * Add patch test-add-envvar-for-skipping-network-tests.patch.
      + rules: Export DEBIAN_FORCE_NONET to skip network tests during build.
  * Add patch test-aggressive-gc.patch: make garbage collection aggressive.
  * Re-arrange patches and refresh them.
  * Disable thumb instruction set for armhf by adding -marm to cflags.
  * Bump Standards-Version to 4.2.1 (no change).
  * rules: Don't install extra license files.
  * Override false-positive lintian error: wrong-path-for-interpreter.
  * Upload to unstable.

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 14 Sep 2018 11:09:12 +0000

julia (1.0.0-1) experimental; urgency=medium

  * New upstream version 1.0.0
  * Bump SOVERSION from 0.7.0 to 1.0.0, update debian directory accordingly.
  * Package libjulia1.0 Breaks and Replaces libjulia0.7 .
  * Refresh symbols list for libjulia.so.1.0 .
  * Update the embedded Documenter:
    + Documenter.jl to v0.19.4
    + Compat.jl to v1.0.1 .
    + DocStringExtensions.jl to v0.4.6 .
    * Update debian/source/include-binaries accordingly.
    * Update patch privacy-breach.patch and pre-apply the patch.
  * Add patch doc-unicode-data-path.patch and update deb-make-doc.patch
    to avoid UnicodeData.txt File-Not-Found during documentation build.
  * Refresh debian/copyright.
  * Also build the PDF documentation apart from the HTML doc.
    + Add latex related Build-Depends-Indep packages for building PDF doc.
    + Override dh_auto_build-indep to build both HTML and PDF document.
    + Install the generated PDF doc doc/_build/pdf/en/TheJuliaLanguage.pdf
    + Register the PDF documentation in doc-base.
  * Remove source/local-options , not useful anymore.
  * Update appstream.patch from upstream pull request #28020.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 16 Aug 2018 07:48:17 +0000

julia (0.7.0-2) unstable; urgency=medium

  [ Peter Colberg ]
  * Drop Build-Depends on libfftw3-dev, Bindings to the FFTW library
    have been removed from Base. (Closes: #905849)

  [ Mo Zhou ]
  * Replace Sys.CPU_CORES with Sys.CPU_THREADS in test script.
  * Add patch test-skip-sigint.patch to temporarily avoid a random
    test failure in test/stress.jl, which sometimes fail to catch SIGINT.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 12 Aug 2018 01:00:36 +0000

julia (0.7.0-1) unstable; urgency=medium

  * New upstream version 0.7.0
  * Update embedded libuv tarball to ed3700c849289ed01fe04273a7bf865340b2bd7e.
  * Refresh all the patches.
  * Move privacy-breach.patch to quilt directory, and pre-apply the patch.
  * Require libgit2-dev (>= 0.27.0~) as B-D.
  * Bump Standards-Version to 4.2.0 (no change).
  * Three new symbols for libjulia0.7 0.7.0 .
  * Only traverse within debian directory when fixing shebang. (Avoid FTBFSx2)
  * README.Debian: Add brief instructions for rebuilding Julia against MKL.
  * Update file matching expressions in copyright.
  * Require llvm-6.0-dev (>= 1:6.0.1-3) in the B-D field.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 09 Aug 2018 16:43:05 +0000

julia (0.7.0~beta2-1) experimental; urgency=medium

  * New upstream BETA version 0.7.0~beta2
  * Changes related to embedded sources:
    + Embed newer libuv tarball which is specified by upstream.
    - Remove the old libuv-d8ab1c6a33e77bf155facb54215dd8798e13825d.tar.gz
    + Embed libwhich-81e9723c0273d78493dc8c8ed570f68d9ce7e89e.tar.gz
    - Remove embedded arpack tarball and corresponding b-d.
    * Update binary file registration in source/include-binaries .
  * Updates related to patch stack:
    * Refresh patches for 0.7.0~beta2
    + Add patch: do-not-download-libwhich.patch
    + Update patch deb-make-doc.patch to fix document build failure.
    + Update no-debug-version.patch to adapt to upstream Makefile change.
    - Remove do-not-download-arpack.patch, not used anymore.
    - Remove do-not-query-ldconfig.patch, due to upstream's commit:
      github.com/JuliaLang/julia/commit/28f3c06f2d30dd1ae2c189cf8fb54d625ecc26ad
    - Remove patch: unversioned-system-load-path.patch (not applied).
      We don't need it anymore because it may result in confusing behaviour.
    - Remove unused tests patch: test_libgit2.patch, unicode-test.patch,
      test_replcompletions.patch. Nolonger needed since the tests don't fail.
  * Control-related changes:
    * Bump B-D llvm version to 6 (Closes: #873408)
    * Bump SOVERSION, and update corresponding file names.
    * Update .install files: install several new files.
    * Update symbols control file.
    * libjuila0.7 breaks and replaces libjulia0.6 .
    * symbols: Mark jl_cpuidex as {amd64,i386}-only.
    * Mark usr/share/doc/julia/html/* as not-installed to silent dh_missing.
  * Build-related changes:
    + Run dh_missing --list-missing during build.
    + Suppress compiler warning by explicitly defining the following CXX flag:
      -DLLVM_DISABLE_ABI_BREAKING_CHECKS_ENFORCING=0
    * JULIA_CPU_CORES is deprecated in favor of JULIA_CORE_THREADS.
    * Fix shebang and mode bits during dh_fixperms:
      's@#!/usr/bin/env julia@#!/usr/bin/julia@g'
    * Delete the deprecated make flag USE_SYSTEM_ARPACK.
  * Policy-related changes:
    + Update SOVERSION in lintian overrides
    * julia-common: Override one more lintian Info:
      package-contains-documentation-outside-usr-share-doc
  * Miscellaneous changes:
    - Delete comment from the watch file.
    + Install an example config which tweaks the default prompt string.
  * Update copyright for Julia 0.7.X and embedded sources.
  * autopkgtest: Remove the arpack-sanity test, because arpack was split out
    from Julia 0.7.X by upstream.

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 23 Jul 2018 08:52:51 +0000

julia (0.6.4-2) unstable; urgency=medium

  * Let julia depend on libjulia0.6 (= ${binary:Version})
  * libjulia0.6 breaks julia (<< 0.5.0~) due to file overwrite.
    This fixes stable->sid upgrade. (Closes: #903498)
  * Remove unused patch version-git.patch since we have NO_GIT=1 in rules.
  * Fill in patches' header with DEP-3 alike information.

 -- Mo Zhou <cdluminate@gmail.com>  Wed, 11 Jul 2018 09:23:52 +0000

julia (0.6.4-1) unstable; urgency=medium

  [ Mo Zhou ]
  * New upstream version 0.6.4
  * Refresh patches after importing 0.6.4 .
  * Replace the placeholder in watch file, which was left unchanged by mistake.
  * Import embedded copy of libuv (checksum identical to upstream's).
    libuv-d8ab1c6a33e77bf155facb54215dd8798e13825d.tar.gz
    + Register the new embedded tarball in source/include-binary
    * Refresh copyright for the tarball.
  * Deprecate the get-orig-tarball target in rules.
  * Split the autopkgtest test command into individual script.
  * Replace the old do-not-download-libuv.patch patch with a new one.
  * Patch: Let jldownload be verbose and download from file:// URI.
    + debian/patches/jldownload-verbose-fakedownload.patch
  * rules: Don't install any .gitignore file!
  * rules: Update the TAGGED_RELEASE_BANNER to avoid confusion.
  * Update the matching pattern in lintian overrides.
  * Patch: disable unversioned-system-load-path.patch .
  * Autopkgtest: One more script to test arpack sanity.

  [ Graham Inggs ]
  * Disable unaligned access on armhf
  * Enable ARM NEON extensions, since #842142 is fixed

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 10 Jul 2018 16:08:48 +0000

julia (0.6.3-6) unstable; urgency=medium

  * Bump B-D on libutf8proc-dev to (>= 2.1.1) and enable
    unicode/utf8proc test, since #902902 is fixed
  * Drop libjulia0.6's explicit dependency on libgit2-26

 -- Graham Inggs <ginggs@debian.org>  Mon, 09 Jul 2018 20:29:42 +0000

julia (0.6.3-5) unstable; urgency=medium

  * Switch B-D LLVM version from 3.9 -> 4.0 .
  * Skip more tests in test/libgit2.jl to avoid FTBFS.

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 09 Jul 2018 12:29:34 +0000

julia (0.6.3-4) unstable; urgency=medium

  * Don't strip sys.so and libjulia.so as suggested upstream. This fixes
    several tests that fail during autopkgtest but didn't fail during build.
    https://github.com/JuliaLang/julia/issues/23115#issuecomment-320715030
  * Override lintianE: libjulia0.6: unstripped-binary-or-object.
  * Enable more tests from libgit2.jl and replcompletions.jl .
  * Let libjulia0.6 depend on libgit2-27 (>= 0.27.0+dfsg.1-0.2) explicitly.
  * Add missing symlinks to libmbedcrypto and libmbedx509 .
  * Drop unneeded B-D libarpack2-dev, libjs-mathjax.
    Drop libjs-underscore from julia-doc Depends.
  * Revert "control: Stick to unicode-data version 11 to avoid surprise."
  * Loosen libgit2 requirement to (>= 0.26.0+dfsg.1-1.1) .
  * Explicitly Build-Depends on libmbedtls-dev.
  * Upload to unstable.

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 09 Jul 2018 09:08:35 +0000

julia (0.6.3-3) experimental; urgency=medium

  * rules: Wrap-and-sort the build flags.
  * Fix a typo in shlibdeps.mk which could causes dh-link failure.
  * Update shlibdeps.mk for libuv1 .
  * rules: Comment that we cannot use the libuv1 provided in archive.
  * Skip test "replcompletions" to avoid FTBFS.
    See: https://github.com/JuliaLang/julia/issues/27958
  * Bump Standards-Version to 4.1.5 (no change).
  * Add the missing B-D libcurl4-gnutls-dev | libcurl-dev .

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 07 Jul 2018 08:39:35 +0000

julia (0.6.3-2) experimental; urgency=medium

  * Deal with symlinks for embedded julia documenter in more graceful way.
  * Remove unused symlinks shipped in julia-doc .
  * Install upstream NEWS, HISTORY, DISTRIBUTING, etc to julia.
  * Merge debian/NOTES into debian/README.Debian
  * Clean up old/unused parts in rules.
  * Stick to unicode-data version 11 to avoid surprise.
  * Update shlibdeps.mk according to upstream Make.inc .
  * Move all private shared object files to package libjulia0.6 .
  * Don't generate symbols for the private libarpack.so .
  * Add a custom option to enable building Julia with MKL.

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 06 Jul 2018 11:18:49 +0000

julia (0.6.3-1) experimental; urgency=medium

  [ Peter Colberg ]
  * Update Vcs-* fields for move to salsa.debian.org
  * New upstream version 0.6.0
  * Refresh patches
  * Move manpages and examples back to julia package
  * Add libjulia0.6 with runtime library
  * Add libjulia-dev with runtime headers
  * Build-Depends on llvm-3.9-dev
  * Drop Build-Depends on python3-sphinx (Closes: #896622)
  * Build-Depends on libgit2-dev (>= 0.23)
  * Build-Depends on libutf8proc-dev (>= 2.1.0)
  * Substitute deprecated parameters in autopkgtest command
  * Update debian/copyright
  * Drop embedded copy of Rmath from upstream tarball
  * Drop embedded copy of juliadoc from upstream tarball

  [ Mo Zhou ]
  * Add myself to Uploaders.
  * Refresh patch after rebasing Peter's work to master (0.4.7-7).
  * New upstream version 0.6.3 (Closes: #839668)
  * Refresh existing patches based on Julia 0.6.3 .
  * Household changes:
    * Bump Standards-Version to 4.1.4 .
    * Change Priority from extra to optional. (4.0.0 -> 4.0.1)
    * Bump debhelper compat level to 11 .
    * Remove --parallel option in favor of debhelper compat 11.
  * Embed several convenient code copies to debian/embedded/ :
    * These embedded Julia package copies are used to build Julia doc.
      + Compat.jl-0.69.0
      + DocStringExtensions.jl-0.4.4
      + Documenter.jl-0.18.0
    * The embedded arpack source is used to avoid #902914.
      + arpack-ng-3.3.0.tar.gz
    * source: don't complain about binary files from embedded source.
  * Patch upstream doc to avoid downloading anything.
    + Build-Depends on unicode-data. (used during doc build)
    + Prepare symlinks for embedded julia packages during dh_auto_configure.
    + Patch upstream makefile to prevent it from downloading arpack source.
  * Add upstream metadata including citation information.
  * Upgrade watch file to uscan version 4.
  * Move libjulia0.6 to libs section.
  * Requires libgit2-dev >= 0.27.0+dfsg.1-0.5 for Build-Depends.
    The specified version ships working TLS support.
  * Add symbols control file for libjulia0.6 .
  * rules: Don't use system Arpack. It causes "eigs(spdiagm(1:25))" failure.
  * Patch upstream tester to skip utf8proc and libgit2 tests.
  * Add missing Build-Depends for embedded arpack.
  * Switch the default downloader dependency from wget to curl.
    See https://github.com/JuliaLang/julia/issues/22783 . wget doesn't
    throw the expected error, which would cause test failure.
  * Patch embedded documenter code to prevent privacy-breach-generic .
    + Replace google font css URL with customized css to avoid privacy breach.
    + Use the "Incolsolata" font instead of "Roboto Mono".
    + Document package depends on inconsolata font.
  * Move AppStream xml file to new location /usr/share/metainfo .
  * Patch upstream's outdated appstream xml file to prevent lintian Error.
  * Update HTML documentation registration path in doc-base.
  * Don't ship debug files e.g. libccalltest.so.debug .
  * Don't trigger ldconfig for binary package "julia" because it ships libs
    in private directory. This is accomplished by appending --no-scripts
    option to dh_makeshlibs . An ldconfig trigger is manually added for
    "libjulia0.6" package.
  * Export HOME environt variable to really fix the mkdir permission issue.
  * Mark symbol jl_cpuid as (amd64, i386)-only.
  * Add NOTES to debian/ directory. (MKL is causing test failure)
  * Note related to LLVM-4.0 : julia-0.6.3, built with llvm-4.0, is able to
    pass the tests. However, llvm-3.9 is still preferred since upstream
    sticks to llvm-3.9 .
  * Update copyright for Julia 0.6.3 and embedded sources.
  * Upload to experimental.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 05 Jul 2018 09:26:56 +0000

julia (0.4.7-7) unstable; urgency=medium

  * Add missing documentation option to fix build with Sphinx 1.5
  * Switch to debhelper 10
  * Use https in debian/control and debian/copyright
  * Bump Standards-Version to 4.0.0
  * Drop override_dh_strip-arch, ddeb migration is complete
  * Fix more Lintian warnings spelling-error-in-binary
  * Mark all binary packages Multi-Arch: foreign
  * Enable all hardening flags

 -- Graham Inggs <ginggs@debian.org>  Wed, 12 Jul 2017 14:50:13 +0200

julia (0.4.7-6) unstable; urgency=medium

  * Use openlibm instead of libm on mips, mips64el and mipsel

 -- Graham Inggs <ginggs@debian.org>  Wed, 25 Jan 2017 07:39:32 +0200

julia (0.4.7-5) unstable; urgency=medium

  * Use openlibm instead of libm on armhf and ppc64
  * Use openblas instead of blas and lapack on mips64el and ppc64
  * Update debian/copyright
  * Do not override ARM options in Make.inc
  * Do not print warning if unable to determine host CPU name
  * Add src/*.dwo to debian/clean
  * Explicitly set USE_SYSTEM_LIBM where needed

 -- Graham Inggs <ginggs@debian.org>  Mon, 23 Jan 2017 08:29:33 +0200

julia (0.4.7-4) unstable; urgency=medium

  * Use DEB_VENDOR inplace of lsb_release -si

 -- Peter Colberg <peter@colberg.org>  Mon, 02 Jan 2017 22:28:51 -0500

julia (0.4.7-3) unstable; urgency=medium

  * Set TAGGED_RELEASE_BANNER to distribution and source package version
    (Closes: #849815)

 -- Peter Colberg <peter@colberg.org>  Sat, 31 Dec 2016 13:43:20 -0500

julia (0.4.7-2) unstable; urgency=medium

  * Ensure JULIA_CPU_CORES >= 2 to respawn test workers reaching memory limit
    (Closes: #848506)

 -- Peter Colberg <peter@colberg.org>  Tue, 20 Dec 2016 23:57:28 -0500

julia (0.4.7-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Drop install-sh-exit-status.patch, applied upstream
  * Drop verbose-build.patch since libuv is already built with V=1
  * Drop do-not-use-home-directory-in-tests.patch in favour of setting HOME
  * Drop disable-download-test.patch since wget is not actually invoked
  * Remove unused lintian override configure-generated-file-in-source
  * Add debian/gbp.conf for pristine-tar

 -- Peter Colberg <peter@colberg.org>  Sun, 18 Sep 2016 23:55:05 -0400

julia (0.4.6-1) unstable; urgency=medium

  [ Peter Colberg ]
  * New upstream release
  * Refresh patches
  * Drop unneeded build dependency on libdouble-conversion-dev
  * Bump Standards-Version to 3.9.8, no further changes

  [ Graham Inggs ]
  * Use libopenlibm instead of libm on arm64
  * Fix inconsistent use of GNU_SOURCE in embedded libuv (Closes: #748573)
  * Drop arm-rec_backtrace.patch, no longer needed since ARM ABI backport

 -- Peter Colberg <peter@colberg.org>  Thu, 23 Jun 2016 22:20:54 -0400

julia (0.4.5-3) unstable; urgency=medium

  * Disable ARM NEON extensions. (Closes: #820220)

 -- Graham Inggs <ginggs@debian.org>  Sun, 17 Apr 2016 13:35:42 +0200

julia (0.4.5-2) unstable; urgency=medium

  * Make rec_backtrace() always return 0 on ARM and PPC64,
    this avoids a FTBFS on armhf with recent GCC.

 -- Graham Inggs <ginggs@debian.org>  Thu, 07 Apr 2016 14:32:28 +0200

julia (0.4.5-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches, new fix-spelling-error-in-binary.patch.
  * Use libopenlibm instead of libm on powerpc and ppc64el.

 -- Graham Inggs <ginggs@debian.org>  Wed, 30 Mar 2016 17:56:56 +0200

julia (0.4.3-4) unstable; urgency=medium

  * Drop versioned build dependency on llvm-3.8-dev and
    build dependencies on libllvm3.x (no longer needed).
  * Upload to unstable.

 -- Graham Inggs <ginggs@debian.org>  Sun, 13 Mar 2016 11:06:39 +0200

julia (0.4.3-3) experimental; urgency=medium

  * Build depend on libllvm3.x as well (experimental).

 -- Graham Inggs <ginggs@debian.org>  Mon, 08 Feb 2016 13:06:53 +0200

julia (0.4.3-2) experimental; urgency=medium

  * Optionally build depend on llvm-3.8-dev (>= 1:3.8~+rc1).
  * Add debian/clean to fix FTBFSx2.
  * Migrate from julia-dbg to ddebs, bump debhelper build-dependency.
  * Bump Standards-Version to 3.9.7, no further changes.
  * Enable tests on i386 again.
  * Improve generated debug info to fix FTBFS on i386
    (see upstream issue #13754).

 -- Graham Inggs <ginggs@debian.org>  Mon, 08 Feb 2016 10:02:00 +0200

julia (0.4.3-1) unstable; urgency=medium

  [ Graham Inggs ]
  * Ensure pcre_h.jl and errno_h.jl are sorted reproducibly.

  [ Peter Colberg ]
  * Imported Upstream version 0.4.3
  * Refresh patches.
  * Drop patch fix-arm64-ftbfs.patch, no longer needed.
  * Update Vcs-Git and Vcs-Browser fields.
  * Fix lintian warning dh-exec-useless-usage.
  * Fix lintian warning spelling-error-in-binary.

 -- Peter Colberg <peter@colberg.org>  Thu, 14 Jan 2016 07:56:18 -0500

julia (0.4.2-3) unstable; urgency=medium

  * Fix FTBFS on arm64 (thanks to Edmund Grimley Evans). (Closes: #807701)
  * Disable tests on i386 until perfomance issue with LLVM >= 3.4
    is resolved (see upstream issue #14191).

 -- Graham Inggs <ginggs@debian.org>  Sat, 12 Dec 2015 11:27:26 +0200

julia (0.4.2-2) unstable; urgency=medium

  * Set number of parallel workers for tests.
    + Restart workers exceeding maximum resident memory size of 500 MiB.
  * Drop build depends on llvm-3.8-dev to permit migration to testing.
    (Closes: #803644)

 -- Peter Colberg <peter@colberg.org>  Thu, 10 Dec 2015 06:50:01 -0500

julia (0.4.2-1) unstable; urgency=medium

  * Imported Upstream version 0.4.2
  * Refresh patches.
  * Upload to unstable. (Closes: #803644)

 -- Peter Colberg <peter@colberg.org>  Mon, 07 Dec 2015 06:49:01 -0500

julia (0.4.1-2) experimental; urgency=medium

  * Build depend on libpcre2-dev >= 10.20-3~ to fix FTBFS on ppc64el.
  * Optionally build depend on llvm-3.8-dev to reduce performance regression.
  * Optionally build depend on llvm-3.6-dev to ease backporting.

 -- Peter Colberg <peter@colberg.org>  Wed, 02 Dec 2015 07:26:24 -0500

julia (0.4.1-1) experimental; urgency=medium

  * Imported Upstream version 0.4.1
  * Refresh patches.
  * Update debian/copyright.
  * Build depend on libsuitesparse-dev >= 1:4.4.5
  * Build depend on llvm-3.7-dev.
  * Build depend on libpcre2-dev (thanks to Matthew Vernon).
  * Disable libgit2 test to avoid dependency on libgit2.
  * Disable download test to avoid dependency on curl or wget.
  * Do not use home directory in tests.
  * Fix backtrace test with MCJIT.
  * Fix documentation spelling errors.
  * Install examples to doc directory inplace of symlink.

 -- Peter Colberg <peter@colberg.org>  Wed, 25 Nov 2015 08:00:20 -0500

julia (0.3.12-2) unstable; urgency=medium

  [ Peter Colberg ]
  * Fix automated package testing with autopkgtest.
  * Test REPL in dumb mode.
  * Build depend on libopenlibm-dev (>= 0.4.1+dfsg-4~) to fix FTBFS on i386.
  * Fix arch-all-only build with dpkg-buildpackage -A.

  [ Sébastien Villemot ]
  * Remove myself from Uploaders.

 -- Graham Inggs <ginggs@debian.org>  Wed, 25 Nov 2015 10:46:18 +0200

julia (0.3.12-1) unstable; urgency=medium

  [ Peter Colberg ]
  * Imported Upstream version 0.3.12
  * Add julia-common package with standard library and test suite.
  * Remove embedded libraries:
    + Build depend on libdsfmt-dev.
    + Build depend on libutf8proc-dev.
  * Generate version_git.jl from upstream commit.
  * Build documentation using python3-sphinx.
  * Fix potential privacy breach in documentation:
    + Use libjs-modernizr package inplace of external link.
    + Strip external link to Google Fonts API.
  * Query SSE2 extension on i386 using x86 CPUID opcode.
  * Do not query ldconfig for library sonames.
  * Generate package dependencies for dynamically loaded libraries.
  * Symlink dynamically loaded libraries to private library path.
  * Add missing examples test for Base.runtests().
  * Fix hanging socket test for Base.runtests().
  * Enable parallel test.

  [ Graham Inggs ]
  * Build in the multiarch lib directories as well,
    so that patchelf is no longer required. (Closes: #799099)
  * Build everywhere. (Closes: #802583)
    + Use libopenlibm where available, libm elsewhere.
    + Use libopenblas where available, libblas and liblapack elsewhere.
    + Cherry-pick patches from upstream 0.4.0 for armhf and ppc64el.

 -- Graham Inggs <ginggs@debian.org>  Fri, 13 Nov 2015 15:56:34 +0200

julia (0.3.11-1) unstable; urgency=medium

  * Imported Upstream version 0.3.11
  * d/p/mcjit-llvm-ftbfs.patch: dropped, applied upstream.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 06 Sep 2015 18:51:09 +0200

julia (0.3.10-1) unstable; urgency=medium

  * Imported Upstream version 0.3.10
  * d/p/inject-ldflags.patch: drop patch, no longer needed.
  * d/p/mcjit-llvm-ftbfs.patch: new patch, taken from upstream.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 17 Jul 2015 23:14:01 +0200

julia (0.3.9-1) unstable; urgency=medium

  * Imported Upstream version 0.3.9
  * repl-test.patch: new patch, prevents a test failure.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 21 Jun 2015 14:57:41 +0200

julia (0.3.8-1) unstable; urgency=medium

  * Imported Upstream version 0.3.8.
    For the time being, manually embed juliadoc python package.
    In the longer run, a separate Debian package should be created.
  * sphinx-build.patch: new patch, needed for building doc without virtualenv.
  * unicode-test.patch: new patch to workaround a test failure in unicode.jl.
  * Set a hard dependency on OpenBLAS. (Closes: #778912)
  * Ship tests in main package, so that they can be run on the compiled binary.
  * Add autopkgtest (DEP8) support.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 25 May 2015 15:48:34 +0200

julia (0.3.5-1) experimental; urgency=low

  * Imported Upstream version 0.3.5. (Closes: #776069)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 13 Feb 2015 23:31:19 +0100

julia (0.3.2-1) unstable; urgency=medium

  * Imported Upstream version 0.3.2
  * Ship new desktop file, SVG icon and appdata file.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 22 Oct 2014 18:42:04 +0200

julia (0.3.1-1) unstable; urgency=medium

  * Imported Upstream version 0.3.1
  * Fix get-orig-source rule with respect to embedded utf8proc.
  * No longer embed sphinx-rtd-theme.
    + Add build-dependency on python-sphinx-rtd-theme.
    + Drop patch embed-sphinx-rtd-theme.patch.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * No longer try the "parallel" test at build time.
    It always fails in chroots.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 24 Sep 2014 11:56:26 +0200

julia (0.3.0-1) unstable; urgency=medium

  * New upstream release.
    - no longer breaks on PCRE upgrades. (Closes: #755576)
    - command-line option "-p" works as expected. (Closes: #758783)
  * Rewrite get-orig-source in d/rules. In particular no longer embed openlibm,
    since it is now a separate package.
  * debian/copyright: reflect upstream changes.
  * New patches:
    + do-not-download-utf8proc.patch
    + inject-ldflags.patch
    + install-sh-exit-status.patch
  * Dropped patches:
    + do-not-download-patchelf.patch (instead build depend on patchelf)
    + fix-cpu-detection.patch
    + ld-library-path-for-testing.patch
    + make-4.0.patch
    + no-git.patch (instead use "make -C base version_git.jl.phony")
    + readline-6.3.patch (Julia no longer uses readline)
    + sysconfdir-install.patch (instead use new make variable)
    + use-sonames-with-dlopen.patch (not really needed, too difficult to
      maintain)
  * Ship the cached binary system image (sys.so).
  * Compile with MARCH=x86-64 on amd64, and with MARCH=pentium4. In particular,
    this means that SSE2 is now required on i386, because x87 FPU computing is
    not supported by upstream and is buggy. Abort nicely if the CPU does have
    SSE2, and by the way activate SSE2 in dSFMT (require-sse2-on-i386.patch).
    As a consequence, drop the now unneeded testsuite-i386.patch.
  * Bump to LLVM 3.5. (Closes: #753971)
  * Add libopenblas-base to Recommends. Having it first in the BLAS
    dependency alternative is not enough to ensure that it is installed by
    default.
  * Use OpenBLAS for both BLAS and LAPACK, since the Debian package now ships
    both.
  * Documentation package (julia-doc):
    + use dh_sphinxdoc
    + use packaged Mathjax instead of online version (with
      use_packaged_mathjax.patch, symbolic links in d/julia-doc.links and
      appropriate logic in d/rules)
    + use packaged awesome font
    + embed sphinx-rtd-theme, since the corresponding package has not yet been
      accepted in sid (embed-sphinx-rtd-theme.patch)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 20 Aug 2014 10:51:46 +0000

julia (0.2.1+dfsg-3) unstable; urgency=medium

  * make-4.0.patch: fix FTBFS against make 4.0.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 07 May 2014 15:17:37 +0200

julia (0.2.1+dfsg-2) unstable; urgency=medium

  * readline-6.3.patch: new patch, fixes FTBFS against readline 6.3.
    (Closes: #741824)
  * Restrict supported archs to amd64 and i386, it never compiled elsewhere.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 16 Mar 2014 16:25:21 +0100

julia (0.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 15 Feb 2014 21:31:41 +0100

julia (0.2.0+dfsg-6) unstable; urgency=medium

  * Transition to libunwind8-dev. (Closes: #730464)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 01 Feb 2014 10:18:04 +0100

julia (0.2.0+dfsg-5) unstable; urgency=low

  * Transition to suitesparse 4.2.1.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 02 Dec 2013 18:38:37 +0100

julia (0.2.0+dfsg-4) unstable; urgency=low

  * Make the parallel.jl test non-fatal.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 24 Nov 2013 15:14:50 +0100

julia (0.2.0+dfsg-3) unstable; urgency=low

  * testsuite-i386.patch: loosen the numerical precision for yet another test.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 17 Nov 2013 19:32:52 +0100

julia (0.2.0+dfsg-2) unstable; urgency=low

  * testsuite-i386.patch: new patches, fixes FTBFS on i386.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 17 Nov 2013 17:51:13 +0100

julia (0.2.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: reflect upstream changes
  * Update patches:
    + remove patches applied upstream:
      - suitesparse-3.4.patch
      - testsuite-i386.patch
    + remove fhs.patch, and replace it by the SYSCONFDIR build option.
    + sysconfdir-install.patch: new patch to make the SYSCONFDIR option work
      for us.
    + refresh other patches.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Dependency of julia-dbg on julia is now versioned.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 17 Nov 2013 12:10:10 +0100

julia (0.2.0~rc2+dfsg-2) unstable; urgency=low

  * Use (older) suitesparse 3.4.
     + d/control: downgrade (build-)dependencies
     + use-sonames-with-dlopen.patch: update sonames
     + suitesparse-3.4.patch: new patch
  * Downgrade build-dependency to libunwind7-dev (was libunwind8-dev).
    libunwind8-dev is unlikely to merge to testing soon.
  * unversioned-system-load-path.patch: new patch.
    Drops version number from system load path. Versioning unnecessary since
    this path is managed by dpkg/apt. Moreover, it would make transitions to
    higher versions needlessly complicated.
  * testsuite-i386.patch: new patch, fixes testsuite crash on i386.
  * Use canonical URL for Vcs-* fields

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 03 Nov 2013 16:00:08 +0100

julia (0.2.0~rc2+dfsg-1) experimental; urgency=low

  * New upstream release candidate
  * Link dynamically against LLVM, this seems to now work correctly

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 26 Oct 2013 04:33:44 +0000

julia (0.2.0~rc1+dfsg-1) experimental; urgency=low

  * New upstream release candidate
  * Removed patches:
    + do-not-download-jquery.patch
    + fix-version.patch
    + no-webrepl.patch
    + suitesparse-3.4.patch
    + use-system-double-conversion.patch
    + zlib-1.2.8.patch
  * Added patches:
    + fhs.patch
    + no-debug-version.patch
    + verbose-build.patch
  * Ship upstream manpage
  * Ship NEWS.md
  * Build depend on llvm-3.3-dev
  * Build depend on libsuitesparse-dev >= 1:4.2.1
  * Stop distributing PDF documentation, it currently does not build
  * debian/copyright: reflect upstream changes

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 16 Oct 2013 15:54:13 +0200

julia (0.1.2+dfsg-3) unstable; urgency=low

  * Bump the B-D on dpkg-dev.
    Support for source:Package and source:Version fields was added in dpkg-dev
    1.16.2 (Closes: #706470)
  * Add support for DEB_BUILD_OPTIONS=nocheck (Closes: #706472)
  * Add julia-dbg package
  * Fix FTBFS with zlib >= 1.2.8 (Closes: #707962)
    - zlib-1.2.8.patch: new patch, fixes the gzip.jl test
    - tighten B-D on zlib1g-dev to >= 1:1.2.8

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 15 May 2013 12:44:14 +0200

julia (0.1.2+dfsg-2) unstable; urgency=low

  * Statically link against LLVM.
    With dynamic linking, strange bugs appear when the runtime library is not
    the same than the one used for building. At this stage it is not clear
    whether it is a Julia or LLVM bug. Reported as Julia issue #2494.
     - use-shared-llvm.patch: remove patch
     - add Built-Using field for julia binary package
     - keep a dependency of julia on libllvm3.2, since strpack.jl dlopen's it

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 03 Apr 2013 17:03:39 +0200

julia (0.1.2+dfsg-1) unstable; urgency=low

  * Imported Upstream version 0.1.2+dfsg.
    Contains hotfix for package manager.
  * debian/patches/fix-version.patch: new patch
  * Refresh other patches

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 07 Mar 2013 20:50:18 +0100

julia (0.1.1+dfsg-1) unstable; urgency=low

  * Imported Upstream version 0.1.1+dfsg
  * debian/copyright: reflect upstream changes
  * Refresh patches
  * Disable tk-wrapper, since it is no longer built upstream
  * Update README.debian

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 07 Mar 2013 12:14:59 +0100

julia (0.1+dfsg-1) unstable; urgency=low

  * First upstream release!
  * debian/copyright: document how to recreate orig tarball
  * Add a debian/watch file
  * d/rules, d/p/no-git-patch: adapt for numbered releases.
    In particular, add a COMMITSHA file in the orig tarball containing the
    SHA of the release tag.
  * Promote zlib1g and libarpack2 to Depends
  * Fix typo in manpage

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 14 Feb 2013 12:00:05 +0100

julia (0.1~20130213.git4bc33bbc-1) unstable; urgency=low

  * New upstream release candidate.
    Hopefully obviates the need of ugly hacks in libuv in order to build on
    build daemons.
  * Remove obsolete patches:
     + bump-version-0.1.patch
     + disable-final-uv-loop.patch
     + revert-stdin-file-iostream.patch
  * Refresh other patches

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 13 Feb 2013 10:58:23 +0100

julia (0.1~20130212.gitf375d4bb-1) unstable; urgency=low

  * New upstream snapshot.
  * no-git.patch: simplify and improve patch
  * gsvddense_blasint.patch: remove patch, applied upstream
  * New patches:
    	+ bump-version-0.1.patch
    	+ disable-final-uv-loop.patch
    	+ revert-stdin-file-iostream.patch
  * Refresh other patches

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 12 Feb 2013 12:02:24 +0100

julia (0.1~20130211.git86fbe98d-1) unstable; urgency=low

  * New upstream snapshot.
  * debian/control:
     + add git to Recommends (for Julia package manager)
     + remove dependencies on libglpk-dev (it moved to its own package)
     + add explicit dependency on libgmp10 (there is no more a wrapper)
  * fix-clean-rules.patch: remove patch, applied upstream
  * gsvddense_blasint.patch: new patch
  * Refresh other patches

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 11 Feb 2013 03:51:26 +0100

julia (0.0.0+20130206.git32ff5759-1) unstable; urgency=low

  * New upstream snapshot.
  * debian/copyright: reflect upstream changes
  * debian/rules: update get-orig-source to reflect upstream changes
     + Don't ship nginx
     + Adapt for new configure-random target in deps/Makefile
  * Enable build of Tk wrapper.
     + debian/control: add build dependency on tk-dev
     + debian/rules: add tk rule to build-arch
  * debian/julia.install: install VERSION and COMMIT files
  * no-webrepl.patch: new patch
  * Refresh other patches
  * Add source override for config.status file under deps/random/

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 06 Feb 2013 17:54:29 +0100

julia (0.0.0+20130107.gitd9656f41-2) unstable; urgency=low

  * fix-cpu-detection.patch: do not use -momit-leaf-frame-pointer on non-x86
    archs
  * Upgrade to LLVM 3.2.
     + debian/control: bump build-dependency
     + debian/rules: use llvm-config-3.2
     + debian/patches/use-shared-llvm.patch
       debian/patches/use-sonames-with-dlopen.patch: update patches

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 19 Jan 2013 15:33:43 +0100

julia (0.0.0+20130107.gitd9656f41-1) unstable; urgency=low

  * New upstream snashot
  * No longer try to rebuild helpdb.jl.
     + debian/rules: remove helpdb.jl from build-arch rule
     + debian/control: move back python-sphinx to Build-Depends-Indep
  * debian/copyright: reflect upstream changes
  * Add Build-Conflicts on libatlas3-base (makes linalg tests fail)
  * debian/rules: replace obsolete USE_DEBIAN makeflag by a list of
    USE_SYSTEM_* flags
  * debian/rules: on non-x86 systems, use libm instead of openlibm
  * dpkg-buildflags.patch: remove patch, applied upstream
  * Refreshed other patches

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 16 Jan 2013 12:29:42 +0100

julia (0.0.0+20121214.gitdced1f7-1) unstable; urgency=low

  * New upstream snapshot.
  * debian/copyright: reflect upstream changes
  * Embedded libuv no longer uses libc-ares and libev.
     + debian/control: remove them from build-dependencies
     + debian/rules: no longer strip them from upstream tarball
     + use-system-{ev,c-ares}.patch: remove patches
  * Remove other patches merged upstream or no longer necessary
     + fhs-multiarch.patch
     + linalg-test-tolerance.patch
     + remove-rpath.patch
     + verbose-build.patch
  * New patches
     + do-not-download-patchelf.patch
     + ld-library-path-for-testing.patch
     + dpkg-multiarch.patch
     + libjulia-release-drop-soname.patch
  * Refresh other patches
  * debian/rules:
     + compile with MULTIARCH_INSTALL=1
     + build helpdb.jl as part of the build-arch rule
     + abort on failures in extra tests
  * debian/control: move python-sphinx to Build-Depends (now used in build-arch)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 18 Dec 2012 14:42:23 +0100

julia (0.0.0+20121102.git63e93f2-1) unstable; urgency=low

  * Initial release. (Closes: #691912)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 02 Nov 2012 16:29:29 +0100
